<?php

Doo::loadCore ( 'db/DooModel' );

class HACMan extends DooModel {
	
	public $id;
	public $typename;
	public $idname;
	public $name;
	public $pinyinname;
	public $type;
	public $category;

	public $_table = 'holiday_acman';
	public $_primarykey = 'id';
	public $_fields = array ('id', 'typename', 'idname', 'name', 'pinyinname', 'type', 'category' );

	public function getPinYinNamebyid($id){
		$result = $this->getOne(array('select' => 'pinyinname', 'where' => 'id='.$id, 'asArray' => TRUE));
		return $result['pinyinname'];
	}

	public function getApproverbyid($id){
		return $this->getOne(array('where' => 'id='.$id, 'asArray' => TRUE));
	}

}

?>